Modbot Docs
APIAPI referenceCalendar

Get calendar event

GET/api/calendar/events/{id}

One event.

Needs the ViewCalendar permission.

AuthorizationBearer <token>

An API key, made on Settings, API keys. Every key starts with mbk_.

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/api/calendar/events/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "title": "string",  "description": "string",  "startsAt": "2019-08-24T14:15:22Z",  "endsAt": "2019-08-24T14:15:22Z",  "startsAtLocal": "string",  "endsAtLocal": "string",  "timeZone": "string",  "repeat": "string",  "repeatDays": [    "string"  ],  "repeatUntil": null,  "worldId": null,  "worldName": null,  "worldThumbnailUrl": null,  "worldImageUrl": null,  "worldPlatforms": null,  "accessType": "string",  "region": "string",  "imageUrl": null,  "vrChatImageId": null,  "category": "string",  "languages": [    "string"  ],  "platforms": [    "string"  ],  "tags": [    "string"  ],  "visibility": "string",  "notifyMembers": true,  "publishToVRChat": true,  "publishToDiscord": true,  "postToChannel": true,  "channelId": null,  "autoOpen": true,  "openMinutesBefore": 0,  "state": "string",  "occurrenceStartsAt": null,  "occurrenceEndsAt": null,  "version": 0,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "madeOnVRChat": true,  "places": [    {      "place": "string",      "state": "string",      "error": null,      "errorAt": null,      "updatedAt": "2019-08-24T14:15:22Z",      "missingGroupPermission": null,      "canTryAgain": false,      "problems": null,      "link": null    }  ],  "opening": null,  "occurrences": [    {      "startsAt": "2019-08-24T14:15:22Z",      "endsAt": "2019-08-24T14:15:22Z",      "plannedStartsAt": "2019-08-24T14:15:22Z",      "title": null,      "description": null,      "vrChatError": null,      "googleError": null    }  ],  "cancelledAt": null,  "worldListId": null,  "worldListName": null,  "worldListEmpty": false,  "cancelledDates": null,  "inviteHostUserId": null,  "inviteStaffUserIds": null,  "inviteListId": null,  "inviteListName": null,  "announceFirstJoinInDiscord": false,  "invites": null,  "announceFirstJoinInVRChat": false,  "mentionRoleId": null,  "repeatEvery": 1,  "repeatTimes": null,  "featured": false,  "coverPictureId": null,  "publishToGoogle": false,  "vrChatRoleIds": null,  "twitchStreams": null,  "vrChatTitle": null,  "vrChatDescription": null,  "discordTitle": null,  "discordDescription": null,  "googleTitle": null,  "googleDescription": null,  "categories": null,  "publishToBluesky": false,  "blueskyPostBeforeMinutes": 1440,  "blueskyTitle": null,  "blueskyDescription": null,  "announceFirstJoinOnBluesky": false,  "postColour": null,  "blueskyPictures": null,  "blueskyWhoCanReply": null,  "blueskyQuotesOff": false,  "blueskyLanguages": null,  "blueskyVideo": null,  "blueskyGif": null,  "googleColour": null,  "googleShowAs": "free"}

Modbot is not endorsed by or affiliated with VRChat Inc. or Discord Inc. VRChat is a trademark of VRChat Inc. Discord is a trademark of Discord Inc. SteamVR is a trademark of Valve Corporation. Windows is a trademark of Microsoft Corporation. Docker is a trademark of Docker, Inc. PostgreSQL is a trademark of the PostgreSQL Community Association of Canada. Railway is a trademark of Railway Corp. Other names are trademarks of their respective owners; see Legal. Modbot and its logo are trademarks of the Modbot project. Open source under AGPL-3.0.